"""
nester.py is a module that includes one function, print_lol, which aids in recursively printing list contents.
"""

def print_lol(some_list, indent=False, numtabs=0):
	"""
	print_lol is a function that takes a list as an argument and recursively searches through it, 
	printing all nested items. Additional parameters include the number of tabs to print before
	each iterated list item and also a boolean value that determines whether or not indenting is enabled.
	"""
	for each_item in some_list:
		if isinstance(each_item, list):
			print_lol(each_item, indent, numtabs+1)
		else:
			if indent:
				for tab in range(numtabs):
					print("\t", end='')
			print(each_item)
